/**********************************************************************
*
*  This is an example sketch for the PmodALS which is currently 
*  optimized for the chipKIT Uno32 and uC32. Within the code, the 
*  DSPI library is used to collect the 12 bits of ambient light data
*  from the PmodALS and display the numeric value on MPIDE's serial 
*  monitor.
*
*  Change Log:
*    November 24, 2014 -- Created -- James Colvin
*
**********************************************************************/

//

#include <DSPI.h>
DSPI0 dspi;
int lightLevel;
int lightData[16];

void setup(){
  Serial.begin(9600);
  pinMode(SS, OUTPUT);
  pinMode(MISO, INPUT);
  pinMode(SCK, OUTPUT);
  digitalWrite(SS, HIGH);
  dspi.setPinSelect(SS);
  dspi.begin(SS);
  dspi.setTransferSize(DSPI_16BIT);
  dspi.setSpeed(2000000);//2 MHz
}

void loop(){
  dspi.setSelect(LOW);
  lightLevel = dspi.transfer(0);
  lightLevel = lightLevel>>4;
  dspi.setSelect(HIGH);
  Serial.print("the ambient light level is: ");Serial.println(lightLevel);
  delay(1000);
  lightLevel =0;
  
}
